[arch-commits] Commit in audacious-plugins/repos (4 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Mon Apr 20 15:58:43 EDT 2009


    Date: Monday, April 20, 2009 @ 15:58:43
  Author: andyrtr
Revision: 36228

Merged revisions 36224 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/audacious-plugins/trunk

........
  r36224 | andyrtr | 2009-04-20 19:51:32 +0000 (Mo, 20 Apr 2009) | 2 lines
  
  upgpkg: audacious-plugins 1.5.1-3
      rebuild for new libmtp and libcdio
........

Added:
  audacious-plugins/repos/extra-i686/audacious-plugins-1.5.1-libmtp.patch
    (from rev 36224, audacious-plugins/trunk/audacious-plugins-1.5.1-libmtp.patch)
Modified:
  audacious-plugins/repos/extra-i686/	(properties)
  audacious-plugins/repos/extra-i686/ChangeLog
  audacious-plugins/repos/extra-i686/PKGBUILD

--------------------------------------+
 ChangeLog                            |    6 ++++++
 PKGBUILD                             |   19 ++++++++++++-------
 audacious-plugins-1.5.1-libmtp.patch |   18 ++++++++++++++++++
 3 files changed, 36 insertions(+), 7 deletions(-)


Property changes on: audacious-plugins/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /audacious-plugins/trunk:1-27238
   + /audacious-plugins/trunk:1-36226

Modified: extra-i686/ChangeLog
===================================================================
--- extra-i686/ChangeLog	2009-04-20 19:58:27 UTC (rev 36227)
+++ extra-i686/ChangeLog	2009-04-20 19:58:43 UTC (rev 36228)
@@ -1,5 +1,11 @@
 2009-02-17  Eric Belanger  <eric at archlinux.org>
 
+  * audacious-plugins-1.5.1-3:
+  Rebuilt against libmtp 0.3.7-1 + libcdio 0.81-2
+  added patch for new libmtp from Fedora
+
+2009-02-17  Eric Belanger  <eric at archlinux.org>
+
   * audacious-plugins-1.5.1-2:
   Rebuilt against projectm 1.2.0
 

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-20 19:58:27 UTC (rev 36227)
+++ extra-i686/PKGBUILD	2009-04-20 19:58:43 UTC (rev 36228)
@@ -4,14 +4,14 @@
 
 pkgname=audacious-plugins
 pkgver=1.5.1
-pkgrel=2
+pkgrel=3
 pkgdesc="Plugins for Audacious"
 arch=('i686' 'x86_64')
 url="http://audacious-media-player.org/"
 license=('GPL')
 depends=('audacious' 'libmad' 'libvorbis')
-makedepends=('jack-audio-connection-kit' 'lame' 'fluidsynth' 'libcdio' 'libsidplay' 'wavpack'
-             'libmpcdec' 'taglib' 'lirc-utils' 'curl' 'libmtp' 'sdl' 'projectm' 'imlib2'
+makedepends=('jack-audio-connection-kit' 'lame' 'fluidsynth' 'libcdio>=0.81-2' 'libsidplay' 'wavpack'
+             'libmpcdec' 'taglib' 'lirc-utils' 'curl' 'libmtp>=0.3.7-1' 'sdl' 'projectm' 'imlib2'
              'neon' 'libmms' 'gtkglext')
 optdepends=('jack-audio-connection-kit: JACK output plugin'
             'lame: FileWriter output plugin'
@@ -30,19 +30,24 @@
             'neon: HTTP transport plugin'
             'libmms: MMS transport plugin')
 source=(http://distfiles.atheme.org/audacious-plugins-$pkgver.tbz2
-        audacious-plugins-amidi.patch)
-md5sums=('b237754a615cf9a3d77a93bf18de26fc' 'd8887eb15957b106bcb84acc0e243ac9')
+        audacious-plugins-amidi.patch
+	audacious-plugins-1.5.1-libmtp.patch)
+md5sums=('b237754a615cf9a3d77a93bf18de26fc'
+         'd8887eb15957b106bcb84acc0e243ac9'
+         'b5344559449b9bc49331213a6052aef8')
 
+
 build() {
   cd "$srcdir/audacious-plugins-$pkgver"
 
   patch -Np1 -i "$srcdir/audacious-plugins-amidi.patch" || return 1
+  patch -Np1 -i "$srcdir/audacious-plugins-1.5.1-libmtp.patch" || return 1
 
-  if [[ $CARCH == "i686" ]]; then
+  if [[ $CARCH = "i686" ]]; then
     ./configure --prefix=/usr --disable-esd --disable-arts --disable-pulse \
       --enable-amidiplug --disable-timidity --disable-adplug \
       --enable-chardet --disable-sse2 || return 1
-  elif [[ $CARCH == "x86_64" ]]; then
+  elif [[ $CARCH = "x86_64" ]]; then
     ./configure --prefix=/usr --disable-esd --disable-arts --disable-pulse \
       --enable-amidiplug --disable-timidity --disable-adplug \
       --enable-chardet || return 1

Copied: audacious-plugins/repos/extra-i686/audacious-plugins-1.5.1-libmtp.patch (from rev 36224, audacious-plugins/trunk/audacious-plugins-1.5.1-libmtp.patch)
===================================================================
--- extra-i686/audacious-plugins-1.5.1-libmtp.patch	                        (rev 0)
+++ extra-i686/audacious-plugins-1.5.1-libmtp.patch	2009-04-20 19:58:43 UTC (rev 36228)
@@ -0,0 +1,18 @@
+diff -ur audacious-plugins-fedora-1.5.1-orig/src/mtp_up/mtp.c audacious-plugins-fedora-1.5.1/src/mtp_up/mtp.c
+--- audacious-plugins-fedora-1.5.1-orig/src/mtp_up/mtp.c	2008-08-17 21:29:48.000000000 +0200
++++ audacious-plugins-fedora-1.5.1/src/mtp_up/mtp.c	2008-08-17 22:35:10.000000000 +0200
+@@ -192,12 +192,12 @@
+ 
+     g_free(from_path);
+     g_free(tmp);
+-    parent_id = mtp_device->default_music_folder;
++    gentrack->parent_id = mtp_device->default_music_folder;
+ 
+ #if DEBUG
+     g_print("Uploading track '%s'\n",filename);
+ #endif
+-    ret = LIBMTP_Send_Track_From_File(mtp_device, filename , gentrack, NULL , NULL, parent_id);
++    ret = LIBMTP_Send_Track_From_File(mtp_device, filename , gentrack, NULL , NULL);
+     LIBMTP_destroy_track_t(gentrack);
+     if (ret == 0) 
+         g_print("Track upload finished!\n");



More information about the arch-commits mailing list